Skip to content

Midjourney Action ​

Trigger button actions (upscale, variation, reroll, zoom, pan, and more). Use from Task fetch to run the matching action.

http
POST /mj/submit/action

Request headers ​

NameTypeRequiredDescription
stringYesBearer token, e.g.
stringYes

Request body ​

NameTypeRequiredDescription
stringYesSource task ID
stringYesAction id
stringNo /
stringNo /
stringNoCallback URL
stringNoOpaque state

Request example ​

bash
curl -X POST https://octopusx.ai/mj/submit/action \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "taskId": "1712158011464906",
    "customId": "MJ::JOB::upsample::2::3dbbd469-36af-4a0f-8f02-df6c579e7011",
    "mode": "RELAX",
    "botType": "mj"
  }'

Response example ​

json
{
  "code": 1,
  "description": "Submit success",
  "result": "1712158011464907"
}

Response fields ​

NameTypeDescription
integer ok, queued, queue full, otherwise error
stringStatus text
stringNew task ID